Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

デジタルカードAPI

Suspend

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend

This request is used by the issuer backend to request the suspension of the digital card if the digital card is active. The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully suspended on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

本文

The following object represent the account

reasonstringオプション

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumオプション

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

可能な値:
レスポンス
200

Successful card suspension request

application/json

Operation information.

operationIdstring · 最小: 1 · 最大: 64オプション

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
statusstring · enum必須

Status of the operation

可能な値:
post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend

Resume

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume

This request is used by the issuer backend to request - the activation of the digital card if it has never been activated - the resumption of the digital card if the digital card is suspended The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully resumed on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

本文

The following object represent the request body of the resume operation

reasonstringオプション

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumオプション

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

可能な値:
レスポンス
200

Successful card resumption

application/json

Operation information.

operationIdstring · 最小: 1 · 最大: 64オプション

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
statusstring · enum必須

Status of the operation

可能な値:
post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume

Delete

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete

This request is used by the issuer backend to request the deletion of the digital card. The result of this operation is synchronous from a TSP point of view (a successful response means that digital card has been successfully deleted on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

本文

The following object represent the account

reasonstringオプション

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumオプション

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

可能な値:
レスポンス
200

Successful card deletion request

application/json

Operation information.

operationIdstring · 最小: 1 · 最大: 64オプション

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
statusstring · enum必須

Status of the operation

可能な値:
post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete

Search

post
/issuers/{issuerId}/digitalCards:search

This request is used by the issuer backend to search for digital cards in D1 using a digital PAN as lookup and retrieve card & end user related details. For example this can be used to retrieve detailed information about the digital card.

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

本文
encryptedDatastring · 最大: 8192必須

Ciphered digital PAN, this DPAN is encrypted using the JWE encryption (please refer to the Encrypt sensitive data for more details)

Content

Once deciphered, the plaintext contains:

JSON field parameter nametypedescriptionMOCLength
panStringThe digital pan value.MUp to 19
Pattern: ^(?:[A-Za-z0-9+\/]{4})*(?:[A-Za-z0-9+\/]{2}==|[A-Za-z0-9+\/]{3}=)?$
searchTypestring · enumオプション

The search type

可能な値:
レスポンス
200

Search Result

application/json
post
/issuers/{issuerId}/digitalCards:search

Get details

get
/issuers/{issuerId}/digitalCards/{digitalCardId}

This request provides detailed information about the digital card given its card identifier.

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
レスポンス
200

OK

application/json

Provides information about the token. Note that this data is available only if the tokenization is successful or pending.

parentCardIdstring · 最小: 1 · 最大: 48オプション

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
digitalCardIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the token specified by the TSP

panSuffixstring · 最小: 4 · 最大: 4必須

Last four digits of the token

statestring · enum必須

the state of the digital card (token)

Example: ACTIVE可能な値:
typestring · 最大: 16オプション

The type of the token. Following values are supported:

  • SE
  • HCE
  • COF
  • ECOM
  • QRC
deviceBindingListstring[]オプション

List of all devices bound to this token. A device is represented by its binding reference.

provisioningTimestring · 最大: 32オプション

The provisioning time of the token. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

lastReplenishTimestring · 最大: 32オプション

The last time the token keys have been replenished. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

lastStateChangeTimestring · 最大: 32オプション

The last time the token status has been changed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

get
/issuers/{issuerId}/digitalCards/{digitalCardId}

Get credentials

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials

This request is used by D1 to provide details about the token credentials of a digital card (that is, PAN, expiry date) given the card identifier.

Note

The issuer system must be configured with the correct applicative encryption key in order to use this API.

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

レスポンス
200

OK

application/json
credentialsstring · 最小: 1 · 最大: 8196オプション

The field is the json (cf http://www.json.org/ ) representation of the DIGITAL card. JWE encryption is used to secure the field (please refer to the Encrypt sensitive data for more details) Details:

{

"pan":"...",

"exp":"..."

}

The PAN is Mandatory, up to 19 digits.

The expiry date in the format MMYY. It is not provided for UPI scheme.

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials

Get operation

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId}

Retrieves the information related to an operation for a digital card.

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

operationIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
レスポンス
200

OK

application/json

Operation details related to a specific operationId

operationIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
operationstring · enum必須

The operation type.

可能な値:
statusstring · enum必須

Status of the operation

可能な値:
startTimestring · 最小: 1 · 最大: 64必須

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

endTimestring · 最小: 1 · 最大: 64オプション

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

requestorIdstring必須

Identifier of the principal who initiates the operation - consumerId if USER - issuerId if ISSUER - cci user id if CCI

requestorTypestring · enum必須可能な値:
reasonstringオプション
reasonCodestring · enumオプション可能な値:
errorstringオプション

Human readable string representing the error, only present in case of operation failure

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId}

Get all operations

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations

Retrieves all the operations related to a digital card. The API specifies the starting point (offset) and the number of operations (limit) to be retrieved. Offset 0 (the default) corresponds to the most recent operation. For example a limit of 5 and an offset of 2 would return the five most recent operations before the most recent two”. If no operations are available for the given digitalCardId, an empty list is returned.

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
クエリパラメータ
offsetinteger · 最大: 100オプション

Index from which the query starts returning operations (default value: 0)

limitinteger · 最小: 1 · 最大: 50オプション

Upper limit of the query

Default: 10
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
レスポンス
200

OK

application/json
remainingOperationsintegerオプション
get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations

StepUp Auth Result

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult

This request is used by the Issuer backend to approve a stepup authentication request (Device Binding/Cardholder Verification).

認可
Authorizationstring必須

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

本文

Step-Up Authentication Result request

authenticationIdinteger · 最大: 999999999999999必須

this will be the "lifeCycleTraceId" for Visa or the "authenticationCorrelationId" for Mastercard

レスポンス
200

Successful Step-up authentication

application/json

Operation result information.

operationIdstring · 最小: 1 · 最大: 64オプション

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
statusstring · enumオプション

Status of the operation

可能な値:
post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult

最終更新

役に立ちましたか?